%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           prewikka
Version:        0.9.14
Release:        2%{?dist}
Summary:        Graphical front-end analysis console for the Prelude Hybrid IDS Framework
Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.prelude-ids.org
Source0:        http://www.prelude-ids.org/download/releases/%{name}/%{name}-%{version}.tar.gz
Source1:        README.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel python-cheetah gettext
Requires:       python-cheetah, libprelude-python, libpreludedb-python
BuildArch:      noarch


%description
Prewikka is a graphical front-end analysis console for the Prelude 
Hybrid IDS Framework. Providing numerous features, Prewikka facilitates 
the work of users and analysts. It provides alert aggregation and sensor 
and hearbeat views, and has user management and configurable filters. It 
has access to external tools such as whois and traceroute.

Please read README.fedora for installation instructions.

%prep
%setup -q
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --root=%{buildroot}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_sbindir}/
chmod 0644 %{buildroot}/%{_datadir}/%{name}/htdocs/css/style.css
mv %{buildroot}/%{_bindir}/%{name}-httpd %{buildroot}/%{_sbindir}/%{name}-httpd
#sed -i -e '/^#!\/usr\/bin\/env python$/d' %{buildroot}/%{python_sitearch}/%{name}/templates/*
%find_lang %{name}
 
%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%attr(0750,root,apache) %dir %{_sysconfdir}/%{name}/
%config(noreplace) %attr(0640,root,apache) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_sbindir}/%{name}-httpd
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info
%doc AUTHORS README NEWS HACKING.README README.fedora  

%changelog
* Fri Apr 17 2009 Steve Grubb <sgrubb@redhat.com> 0.9.14-2
- Change default perms on conf file

* Thu Apr 24 2008 Steve Grubb <sgrubb@redhat.com> 0.9.14-1
- new upstream release

* Mon Jan 14 2008 Steve Grubb <sgrubb@redhat.com> 0.9.13-1
- new upstream version 0.9.13

* Sun Apr  8 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.10-1
- moved to upstream version 0.9.10

* Sun Jan 12 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.8-1
- moved to upstream version 0.9.8

* Sat Jan 11 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.7.1-5
- changed docs handling
- fixed python settings

* Mon Jan 01 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.7.1-4
- corrected perms on python files 
- moved prewikka-httpd to /sbin
- added README.fedora

* Mon Nov 20 2006 Thorsten Scherf <tscherf@redhat.com> 0.9.7.1-3
- disabled dependency-generator 

* Mon Nov 20 2006 Thorsten Scherf <tscherf@redhat.com> 0.9.7.1-2
- Some minor fixes in requirements

* Mon Nov 06 2004 Thorsten Scherf <tscherf@redhat.com> 0.9.7.1-1
- test build for fc6



